Loading...
Searching...
No Matches
concept.hpp File Reference

Provides seqan3::aminoacid_alphabet. More...

`#include <type_traits>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/core/detail/template_inspection.hpp>`
Include dependency graph for alphabet/aminoacid/concept.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::aminoacid_empty_base
| This is an empty base class that can be inherited by types that shall model seqan3::aminoacid_alphabet. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Variables

template<typename t>
constexpr bool | seqan3::enable_aminoacid
| A trait that indicates whether a type shall model seqan3::aminoacid_alphabet.

## Detailed Description

Provides seqan3::aminoacid_alphabet.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>
  Joshua Kim <joshua.kim AT fu-berlin.de>

Hide me